Bug 597687 - [abrt] crash in wallpapoz-0.4.1-20.svn92_trunk.fc12: wallpapoz_system.py:130:check_beryl:ValueError: invalid literal for int() with base 10: ''
[abrt] crash in wallpapoz-0.4.1-20.svn92_trunk.fc12: wallpapoz_system.py:130:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:93ef708b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 00:28 EDT by sjoerd
Modified: 2010-06-25 14:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: wallpapoz-0.4.1-24.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 14:18:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (737 bytes, text/plain)
2010-05-30 00:28 EDT, sjoerd
no flags Details

  None (edit)
Description sjoerd 2010-05-30 00:28:43 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/daemon_wallpapoz
component: wallpapoz
executable: /usr/bin/daemon_wallpapoz
kernel: 2.6.32.12-115.fc12.x86_64
package: wallpapoz-0.4.1-20.svn92_trunk.fc12
reason: wallpapoz_system.py:130:check_beryl:ValueError: invalid literal for int() with base 10: ''
release: Fedora release 12 (Constantine)

backtrace
-----
wallpapoz_system.py:130:check_beryl:ValueError: invalid literal for int() with base 10: ''

Traceback (most recent call last):
  File "/usr/bin/daemon_wallpapoz", line 90, in <module>
    wallpapozxml = XMLProcessing()
  File "../share/wallpapoz/lib/xml_processing.py", line 49, in __init__
    wallpapoz_system = WallpapozSystem()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 49, in __init__
    self.check_beryl()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 130, in check_beryl
    self.geometry_width = int(geometry[0])
ValueError: invalid literal for int() with base 10: ''

Local variables in innermost frame:
geometry: ['']
self: <wallpapoz_system.WallpapozSystem instance at 0x242bcb0>
raw_geometry: ''
Comment 1 sjoerd 2010-05-30 00:28:45 EDT
Created attachment 417983 [details]
File: backtrace
Comment 2 Mamoru TASAKA 2010-05-30 01:08:57 EDT
When did this crash happen?
Also would you provide how you can reproduce this issue?
Comment 3 sjoerd 2010-05-30 01:34:56 EDT
I can't. Sorry.

It's something I'm starting up whatever program and normally never happens but sometimes it crashed unexpectedly.

I'll keep an eye on this to solve this bug.

Until now I don't know.
Comment 4 sjoerd 2010-05-30 01:43:52 EDT
Also reported an older bug at:

https://bugzilla.redhat.com/show_bug.cgi?id=573642
Comment 5 Mamoru TASAKA 2010-06-14 15:13:19 EDT
Well, -24 may shut down this issue, or may not...
Comment 6 Fedora Update System 2010-06-14 15:21:16 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc13
Comment 7 Fedora Update System 2010-06-14 15:21:36 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc12
Comment 8 Fedora Update System 2010-06-15 12:08:35 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc12
Comment 9 Fedora Update System 2010-06-25 14:09:29 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-25 14:17:26 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.